File: changelog

package info (click to toggle)
libgpg-error 1.35-1~bpo9+1
  • links: PTS, VCS
  • area: main
  • in suites: stretch-backports
  • size: 5,848 kB
  • sloc: ansic: 22,324; sh: 13,156; makefile: 488; awk: 333; lisp: 138; sed: 16
file content (730 lines) | stat: -rw-r--r-- 24,962 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
libgpg-error (1.35-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 21 Mar 2019 12:55:32 +0900

libgpg-error (1.35-1) unstable; urgency=medium

  * New upstream version
  * refresh patches
  * Standards-Version: bump to 4.3.0 (no changes needed)
  * move to debhelper 12
  * updated symbols

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 31 Jan 2019 18:02:11 -0500

libgpg-error (1.33-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 03 Jan 2019 23:20:54 +0900

libgpg-error (1.33-3) unstable; urgency=medium

  * mark libgpg-error-mingw-w64-dev Multi-Arch: foreign
    (thanks, Multiarch hinter!)
  * avoid the -unknown suffix in gpgrt version string
  * added new "build" autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Dec 2018 19:27:25 -0500

libgpg-error (1.33-2) unstable; urgency=medium

  * fix up autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Dec 2018 15:17:04 -0500

libgpg-error (1.33-1) unstable; urgency=medium

  * New upstream release
  * Re-export upstream signing key without extra signatures.
  * refresh patches
  * ship correct manpages for gpgrt-config
  * update symbols file
  * add Build-Depends-Package to symbols file
  * ship gpg-error.pc for pkg-config
  * remember that we ship l10n files from the windows 64-bit build
  * remember that we do not ship gpgrt-config.1 from the arch-indep builds

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Dec 2018 11:04:31 -0500

libgpg-error (1.32-3~bpo9+2) stretch-backports; urgency=medium

  * Source upload to stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Thu, 01 Nov 2018 00:26:45 +0900

libgpg-error (1.32-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Tue, 30 Oct 2018 01:45:03 +0900

libgpg-error (1.32-3) unstable; urgency=medium

  * indicate that libgpg-error-l10n Enhances: libgpg-error0
  * ship l10n files from arch-indep build (Closes: #911377)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 19 Oct 2018 19:33:46 +0200

libgpg-error (1.32-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Move the translation files to a new libgpg-error-l10n package
    (Closes: #872806)

  [ Wookey ]
  * Add support for arm64ilp32 (Closes: #869605)

  [ Daniel Kahn Gillmor ]
  * Standards-Version: bumped to 4.2.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Oct 2018 10:04:28 -0400

libgpg-error (1.32-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sun, 02 Sep 2018 00:17:45 +0900

libgpg-error (1.32-1) unstable; urgency=medium

  * new upstream release
  * fixup patch
  * Standards-Version: bump to 4.1.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jul 2018 00:38:04 -0400

libgpg-error (1.31-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 May 2018 17:18:07 -0400

libgpg-error (1.30-1) unstable; urgency=medium

  * new upstream release
  * drop patches already upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 May 2018 14:52:37 -0400

libgpg-error (1.29-4) unstable; urgency=medium

  * split out new gpgrt-tools package (Closes: #895770)
  * clean up package descriptions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 Apr 2018 15:21:22 -0700

libgpg-error (1.29-3) unstable; urgency=medium

  * fix yat2m build for cross-compilation

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 14 Apr 2018 14:49:44 -0400

libgpg-error (1.29-2) unstable; urgency=medium

  * Add texinfo to build-depends

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Apr 2018 17:11:52 -0400

libgpg-error (1.29-1) unstable; urgency=medium

  * New upstream release
  * drop patches already upstream
  * refresh patches; import bugfix from upstream
  * update symbols with more gpgrt_* symbols
  * d/clean: clean up doc/gpgrt.info
  * Standards-Version: bump to 4.1.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Apr 2018 19:26:37 -0400

libgpg-error (1.28-2) unstable; urgency=medium

  * avoid FTBFS on arm* (Closes: #893370)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Mar 2018 17:20:31 +0000

libgpg-error (1.28-1) unstable; urgency=medium

  * new upstream release
  * use DEP-14 branch naming
  * d/control: add Rules-Requires-Root: no
  * drop patches already upstream
  * refresh patch
  * do not import generated doc/gpgrt.info with import-orig
  * d/rules: drop unnecessary options for dh 11
  * fix w32 builds using upstream patch
  * update symbols
  * symlink manpage for gpg-error-config to gpgrt-config
  * note lintian-override for windows .la files
  * gpgrt-config is subject to the same reasoning as gpg-error-config.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 16 Mar 2018 21:21:36 +0000

libgpg-error (1.27-6) unstable; urgency=medium

  * ship yat2m using upstream patches
  * use compiler flags for yat2m
  * fleshed out d/copyright
  * move to debhelper 11
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * move Vcs: to salsa
  * d/copyright: Format: use https
  * use secure upstream source URL
  * use https for lists.gnupg.org
  * add manpage for yat2m
  * reduce priority to optional
  * VERSION gets removed during reconf, drop it during import-orig
  * libgpg-error-dev: ship errorref.txt

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 18:39:54 -0500

libgpg-error (1.27-5) unstable; urgency=medium

  * try to avoid embedding the build path in cross-compiled Windows
    packages

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 07 Nov 2017 02:16:01 +0100

libgpg-error (1.27-4) unstable; urgency=medium

  * yat2m updates from upstream, now respects SOURCE_DATE_EPOCH
  * add ia64-unknown-linux-gnu lock-obj definitions
  * Standards-Version: bump to 4.1.1 (extra → optional)
  * drop explicit dependency on dh-autoreconf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 27 Oct 2017 13:24:38 -0400

libgpg-error (1.27-3) unstable; urgency=medium

  * fix header in debian/copyright (Closes: #863659)
  * more bugfixes and cleanup from upstream
  * move to unstable
  * bump Standards-Version to 4.0.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 26 Jun 2017 12:01:18 -0400

libgpg-error (1.27-2) experimental; urgency=medium

  * Removed Jose Carlos Garcia Sogo from uploaders (Closes #862623)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 May 2017 12:40:27 -0400

libgpg-error (1.27-1) experimental; urgency=medium

  * New upstream version (in experimental due to the freeze).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 05 Mar 2017 00:26:34 +0100

libgpg-error (1.26-2) unstable; urgency=medium

  * bump symbols version for gpgrt_yield to 1.25

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 18 Jan 2017 11:27:10 -0500

libgpg-error (1.26-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 24 Dec 2016 16:09:26 -0500

libgpg-error (1.25-2) unstable; urgency=medium

  * fix misspellings in error descriptions.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Dec 2016 16:41:25 -0500

libgpg-error (1.25-1) unstable; urgency=medium

  * new upstream version
  * update debian/watch
  * remove unused lintian override
  * refresh patches
  * update symbols
  * add all hardening flags
  * bump to debhelper 10
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 16 Nov 2016 09:07:14 +0900

libgpg-error (1.24-2) unstable; urgency=medium

  * Drop smurf from uploaders (Closes: #843361)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Nov 2016 08:30:48 -0800

libgpg-error (1.24-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Jul 2016 01:45:02 +0200

libgpg-error (1.23-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 Jun 2016 19:55:02 -0400

libgpg-error (1.22-2) unstable; urgency=medium

  * added powerpcspe and tilegx configs (Closes: #823630, #823631)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 May 2016 11:46:17 -0400

libgpg-error (1.22-1) unstable; urgency=medium

  * new upstream release (Closes: #822343)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Apr 2016 17:18:31 -0400

libgpg-error (1.21-3) unstable; urgency=medium

  * add cross-compiling headers for several other architectures (Closes:
    #816240, #812832)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Apr 2016 00:51:54 -0400

libgpg-error (1.21-2) unstable; urgency=medium

  * build out-of-tree for cleanliness
  * added libgpg-error-mingw-w64-dev package, in preparation for
    cross-building win32-loader component gpgv.exe

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Feb 2016 22:50:50 -0500

libgpg-error (1.21-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Dec 2015 10:31:10 -0500

libgpg-error (1.20-1) unstable; urgency=medium

  * New upstream release
  * use new upstream default of no embedding build timestamp

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Sep 2015 01:23:12 -0400

libgpg-error (1.19-2) unstable; urgency=medium

  * upload to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Jun 2015 09:23:14 -0400

libgpg-error (1.19-1) experimental; urgency=medium

  * New Upstream Version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Apr 2015 00:16:47 -0400

libgpg-error (1.18-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches: dropped most, already applied upstream
  * avoid breakage with gcc 5 (Closes: #777374)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 Mar 2015 13:11:35 -0400

libgpg-error (1.17-3) unstable; urgency=medium

  [ David Prévot ]
  * Force rebuild of gmo files
  * Update Polish translation, thanks to Jakub Bogusz
  * Update French translation
  * Update Ukrainian translation, thanks to Yuri Chornoivan
  * Update Danish translation, thanks to Joe Hansen
  * Update Dutch translation, thanks to Freek de Kruijf
  * Update Japanese translation, thanks to NIIBE Yutaka
  * Add Russian translation, thanks to Ineiev
  * Update Italian translation, thanks to Milo Casagrande
  * Add Chinese (traditional) translation, thanks to Jedi Lin
  * Add Portuguese translation, thanks to Paulo Tomé (Closes: #770893)
  * Add Serbian translation, thanks to Мирослав Николић
  * Update Czech translation, thanks to Petr Pisar

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Dec 2014 15:55:18 -0500

libgpg-error (1.17-2) unstable; urgency=medium

  * added arch-specific lock-obj header for added
    mips64el-unknown-linux-gnuabi64 (Closes: #766135)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 24 Oct 2014 15:24:00 -0400

libgpg-error (1.17-1) unstable; urgency=medium

  * New upstream release (Closes: #762322)
    - debian/patches: all merged upstream
  * added arch-specific lock-obj header for i586-pc-linux-gnu
    (Closes: #764881)
  * bumped all symbols to 1.14 since version node GPG_ERROR_1.0 was
    introduced there. (Closes: #765430)
  * use upstream's manpage for gpg-error-config
  * bump Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Sep 2014 11:39:00 -0400

libgpg-error (1.16-2) unstable; urgency=medium

  * added headers for powerpc64el and sparc64 (Closes: #762322)
  * fix build timestamp for reproducibility (Closes: #762397)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 22 Sep 2014 15:52:35 -0400

libgpg-error (1.16-1) unstable; urgency=medium

  * New upstream release
   - drop patches, applied upstream
  * move /usr/include/gpg-error.h to /usr/include/$ARCH/gpg-error.h
    (addresses part of #643341)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Sep 2014 10:53:54 -0400

libgpg-error (1.15-1) unstable; urgency=medium

  * New upstream release (skipping 1.14)
  * move to debhelper 9
  * complete move from dh_autotools-dev to dh_autoreconf
  * drop all debian/patches -- applied upstream
  * update the text of gpg-error-config.1, since it has not been called
    libgpg-error-config for years
  * update gpg-error-config to mention --mt
  * debian/copyright: use DEP5
  * adopt new symbol visibility (GPG_ERROR_1.0) from upstream
  * fix locking problem at close with patch from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 09 Sep 2014 14:36:55 -0400

libgpg-error (1.13-4) unstable; urgency=medium

  * moving to git
  * using pristine-tar
  * wrap-and-sort to clean up debian/*

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Aug 2014 14:00:12 -0700

libgpg-error (1.13-3) unstable; urgency=medium

  * Avoid dumping the native lock-obj header when cross-building, since it
    will not exist.  I think this resolves the FTCBFS issue.  Thanks to
    Helmut Grohne for all the useful guidance! (Closes: #753047)
  * update da.po. Thanks, Joe Hansen! (Closes: #754128)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Aug 2014 21:32:09 -0400

libgpg-error (1.13-2) unstable; urgency=medium

  * adopt upstream's variant of the hppa tuning.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Aug 2014 00:22:25 -0400

libgpg-error (1.13-1) unstable; urgency=medium

  * Adopt by pkg-gnupg team, after conferring with previous maintainer.  Thanks,
    Jose Carlos Garcia Sogo!
  * tweak hppa lock-obj struct. (Closes: #757060) Thanks, John David Anglin!
  * bump standards-version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Aug 2014 09:41:50 -0400

libgpg-error (1.13-0.4) unstable; urgency=medium

  * NMU
  * include arch-specific lock-obj code as accepted by upstream (another
    step toward dealing with #753047)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Aug 2014 17:00:45 -0400

libgpg-error (1.13-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf instead of autotools-dev. Closes: #749522.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2014 11:12:08 +0200

libgpg-error (1.13-0.2) unstable; urgency=medium

  * NMU
  * print arch-specific lock-obj code after successful build (as a step
    toward dealing with #753047)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 20 Jul 2014 23:46:49 -0400

libgpg-error (1.13-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #752564)
  * verify upstream signatures (Closes: #752580)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jun 2014 17:36:15 -0400

libgpg-error (1.12-0.2) unstable; urgency=low

  * NMU
  * debian/libgpg-error0.install: Renamed to debian/libgpg-error0.install.in.
    Put libraries under /lib (closes: #720593).
  * debian/libgpg-error-dev.install: Don't install .so link. We need to
    handle this via dh_link.
  * debian/rules: Create .so link and install files between /usr/lib and /lib.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Sep 2013 22:27:50 +0200

libgpg-error (1.12-0.1) unstable; urgency=low

  * NMU
  * New upstream release (closes: #711995).
  * debian/clean, debian/*.dirs: Removed unused file.
  * debian/control: Added generic Vcs-Browser and Vcs-Svn.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added versioned autotools-dev (closes: #689621).
  * debian/copyright: Updated.
  * debian/docs, debian/libgpg-error0.docs: Removed. Installed files via
    debian/rules.
  * debian/libgpg-error0.install.in: Renamed to debian/libgpg-error0.install
    and dropped sed stuff.
  * debian/libgpg-error0.symbols: Added.
  * debian/libgpg-error-dev.links.in: Put into debian/rules.
  * debian/rules: Rewritten for dh 7+. Enabled hardening. Dropped linking.
  * debian/watch: Minor update.
  * debian/patches/: Removed patches and dpatch leftovers (closes: #689604).
  * debian/patches/l10n_update.patch: Dropped (shipped with new release).
  * debian/patches/series: Emptied.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 12 Aug 2013 22:49:55 +0200

libgpg-error (1.10-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Program translation ]
  * Japanese, new (Takeshi Hamasaki)
  * Danish, new (Joe Hansen)
  * German updated (Werner Koch)
  * French updated (David Prévot, closes: #625485)
  * Czech updated (Petr Pisar)
  * Dutch updated (Freek de Kruijf)
  * Polish updated (Michał Kułach, closes: #685023)

 -- David Prévot <taffit@debian.org>  Fri, 17 Aug 2012 22:56:29 -0400

libgpg-error (1.10-3) unstable; urgency=low

  * Do not install .la file (Closes: #657156)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 02 Feb 2012 21:56:39 +0000

libgpg-error (1.10-2) unstable; urgency=low

  * Add static library back (Closes: #632889, #653693)
  * Transition for multiarch (Closes: #634129)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 06 Jan 2012 00:46:00 +0100

libgpg-error (1.10-1) unstable; urgency=low

  * Ack all previous NMU. All thanks go to Jonas Meurer.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 10 Sep 2011 10:39:11 +0200

libgpg-error (1.10-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Upload to unstable, most important changes:
    - New upstream release (1.10)
    - Migrate library from /usr/lib to /lib
    - Add udeb package for debian-installer

 -- Jonas Meurer <mejo@debian.org>  Mon, 07 Feb 2011 11:14:44 +0100

libgpg-error (1.10-0.2) experimental; urgency=low

  * Non-maintainer upload
  * Add libgpg-error0-udeb package for debian-installer
  * change 'XC-Package-Type' to 'Package-Type' for udeb in debian/control
  * empty dependency_libs in .la file (thanks to Ubuntu)
  * Install .la file and .so link to /usr/lib after discussion on #debian-devel
    and debian-devel@lists.debian.org.

 -- Jonas Meurer <mejo@debian.org>  Mon, 03 Jan 2011 02:23:00 +0100

libgpg-error (1.10-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release 1.10. (Closes: #554234)
  * Upload to experimental due to squeeze deep freeze
  * Add debian/watch file.
  * debian/control:
    + Move source package to section libs.
    + Add misc Depends for debhelper.
    + Update short description for libgpg-error-dev
    + Bump standards-version to 3.9.1, no changes required
    + Add Homepage header
    + Set Priority=standard for source package
  * debian/rules:
    + Remove unused dpatch patch system implementation and patches
    + Remove unneeded 'chmod +x configure' from configure-stamp target
    + Move libgpg-error0 library to /lib. (Closes: #604945)
    + Fix targets to always depend on target-stamp, add install-stamp
    + Remove '-V 'libgpg-error0 (>= 1.6-1)'' from dh_makeshlibs
  * move debian/doc to debian/libgpg-error0.doc:
    + ship NEWS and README in library package, not in dev package
  * debian/libgpg-error-dev.install:
    + don't install unavailable libgpg-error.a
  * debian/gpg-error(-config).1:
    + Fix manpages, thanks to lintian
  * debian/copyright:
    + refer to versioned LGPL 2.1, thanks to lintian

 -- Jonas Meurer <mejo@debian.org>  Thu, 16 Dec 2010 12:55:05 +0100

libgpg-error (1.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.8.1. No changes needed.
    + Add ${shlibs:Depends} var to Depends line on -dev package, as it
      includes binaries
  * debian/rules:
    + Don't ignore errors on make clean and make lintian happy.
    + Use dh_prep instead of deprecated in level 7 dh_clean -k
    + Bump generated shlibs dependency to libgpg-error >= 1.6-1
  * Delete libgpg-error0.post[inst,rm] files
  * Set debian/compat file to debhelper level 7, and build-depend needed
    debhelper version (version in lenny, so package can be portable)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 20 Mar 2009 09:50:56 +0100

libgpg-error (1.4-2) unstable; urgency=low

  * Fix build-dependencies and dependencies (Closes: #397932)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 12 Nov 2006 12:30:46 +0100

libgpg-error (1.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * Use {binary:Version} field in libgpg-error-dev dependecy field. (Closes: #384376)
  * Fix typo in upstream URL at debian/copyright file (Closes: #387735)
  * debian/patches: Disable m4_macros and 10_relibtoolize patches.
    Upstream uses now a quite current copy of gettext.
  * Update FSF address in debian/copyright file.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 24 Sep 2006 16:33:03 +0200

libgpg-error (1.2-1) unstable; urgency=low

  * New upstream version.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  4 Mar 2006 15:53:20 +0100

libgpg-error (1.1-4) unstable; urgency=low

  * In addition to relibtoolizing we have to upgrade lib-*.m4 files,
  which are hidden in gettext source. (Closes: #319103)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 31 Jul 2005 14:47:25 +0200

libgpg-error (1.1-3) unstable; urgency=low

  * Actually fix #318221. Library package is important, while -dev package is
    optional.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 29 Jul 2005 01:21:38 +0200

libgpg-error (1.1-2) unstable; urgency=low

  * Include relibtoolize patch again. (Closes: #319103)
  * This package is priority optional. Changed control file to match
    ftp-master overrides (Closes: #318221)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 29 Jul 2005 00:08:13 +0200

libgpg-error (1.1-1) unstable; urgency=low

  * The "you can't get sunburn at Finland" release.
  * New upstream release.
     + It does now compile in Hurd (Closes: #307922)
     + German PO file corrections by Jens Seidel. (Closes: #313977)
  * Bumped Standars-Version. No changes needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 14 Jul 2005 01:23:18 +0300

libgpg-error (1.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes warning in gpg-error.m4 (Closes: #254129)
  * Changed package priority to important, as gnutls depends on this package and is
    priority important also.
  * debian/patches:
    + 05_Makefile.am: new, remove use of local m4/
    + 06_Makefile.in: new, remove using local m4/ and m4/libtool (which is not
    distributed with upstream sources)
    + 10_relibtoolize: updated, changing to libtool 1.5

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  2 Aug 2004 13:03:06 +0200

libgpg-error (0.7-3) unstable; urgency=low

  * Really apply patch created in previous version, fixing GNU/k*BSD issues
  (Closes: #259088)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 15 Jul 2004 00:26:10 +0200

libgpg-error (0.7-2) unstable; urgency=low

  * debian/control: added dpatch to Build-Depends field.
  * debian/patches:
      + 10_relibtoolize: Relibtoolize for GNU/k*BSD (Closes: #258871)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 12 Jul 2004 23:43:33 +0200

libgpg-error (0.7-1) unstable; urgency=low

  * New upstream version. (Closes: #236802, #238161)
  * Bumped Standars Versions. No changes.
  * From Matthias Urlichs package:
      - Document gpg-error.
      - Fix installation.
      - Added postinst and prerm scripts for libgpg-error0.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 16 Mar 2004 23:25:13 +0100

libgpg-error (0.6-1) unstable; urgency=low

  * ACK previous NMU. Thanks waldi. (Closes: #213820)
  * The following changes are from a patch by Matthias Ulrich. Thanks.
      - Install m4 files and German message catalog. (Closes: #23384)
      - Rename manpage for gpg-error-config (was: libgpg-error-config).
        (Closes: #233476)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 21 Feb 2004 17:50:30 +0100

libgpg-error (0.6-0.2) unstable; urgency=low

  * NMU.
  * Install m4 files and German message catalog.                 Closes: #233848
  * Rename manpage for gpg-error-config (was: libgpg-error-config).
                                                                 Closes: #233476

 -- Matthias Urlichs <smurf@debian.org>  Thu, 19 Feb 2004 16:23:51 +0100

libgpg-error (0.6-0.1) unstable; urgency=low

  * NMU with permission of maintainer
  * new upstream version

 -- Bastian Blank <waldi@debian.org>  Mon, 17 Nov 2003 20:22:00 +0100

libgpg-error (0.1-2) unstable; urgency=low

  * Added libgpg-error-config script to -dev package, and manpage.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 23 Jun 2003 23:26:30 +0200

libgpg-error (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #196386)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 23 Jun 2003 15:39:47 +0200